Class EndpointsRequestBuilder
java.lang.Object
com.microsoft.kiota.BaseRequestBuilder
com.microsoft.graph.serviceprincipals.item.endpoints.EndpointsRequestBuilder
@Generated("com.microsoft.kiota")
public class EndpointsRequestBuilder
extends com.microsoft.kiota.BaseRequestBuilder
Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionclassGet endpoints from servicePrincipalsclassConfiguration for the request such as headers, query parameters, and middleware options.classConfiguration for the request such as headers, query parameters, and middleware options. -
Field Summary
Fields inherited from class com.microsoft.kiota.BaseRequestBuilder
pathParameters, requestAdapter, urlTemplate -
Constructor Summary
ConstructorsConstructorDescriptionEndpointsRequestBuilder(String rawUrl, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values.EndpointsRequestBuilder(HashMap<String, Object> pathParameters, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values. -
Method Summary
Modifier and TypeMethodDescriptionbyEndpointId(String endpointId) Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.count()Provides operations to count the resources in the collection.get()Get endpoints from servicePrincipalsget(Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipalsCreate new navigation property to endpoints for servicePrincipalspost(Endpoint body, Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for servicePrincipalscom.microsoft.kiota.RequestInformationGet endpoints from servicePrincipalscom.microsoft.kiota.RequestInformationtoGetRequestInformation(Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipalscom.microsoft.kiota.RequestInformationCreate new navigation property to endpoints for servicePrincipalscom.microsoft.kiota.RequestInformationtoPostRequestInformation(Endpoint body, Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for servicePrincipalsReturns a request builder with the provided arbitrary URL.
-
Constructor Details
-
EndpointsRequestBuilder
public EndpointsRequestBuilder(@Nonnull HashMap<String, Object> pathParameters, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values.- Parameters:
pathParameters- Path parameters for the requestrequestAdapter- The request adapter to use to execute the requests.
-
EndpointsRequestBuilder
public EndpointsRequestBuilder(@Nonnull String rawUrl, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values.- Parameters:
rawUrl- The raw URL to use for the request builder.requestAdapter- The request adapter to use to execute the requests.
-
-
Method Details
-
count
Provides operations to count the resources in the collection.- Returns:
- a
CountRequestBuilder
-
byEndpointId
Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.- Parameters:
endpointId- The unique identifier of endpoint- Returns:
- a
EndpointItemRequestBuilder
-
get
Get endpoints from servicePrincipals- Returns:
- a
EndpointCollectionResponse - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
get
@Nullable public EndpointCollectionResponse get(@Nullable Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipals- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
EndpointCollectionResponse - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
post
Create new navigation property to endpoints for servicePrincipals- Parameters:
body- The request body- Returns:
- a
Endpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
post
@Nullable public Endpoint post(@Nonnull Endpoint body, @Nullable Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for servicePrincipals- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
Endpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation()Get endpoints from servicePrincipals- Returns:
- a
RequestInformation
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation(@Nullable Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipals- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
toPostRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPostRequestInformation(@Nonnull Endpoint body) Create new navigation property to endpoints for servicePrincipals- Parameters:
body- The request body- Returns:
- a
RequestInformation
-
toPostRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPostRequestInformation(@Nonnull Endpoint body, @Nullable Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for servicePrincipals- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
withUrl
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.- Parameters:
rawUrl- The raw URL to use for the request builder.- Returns:
- a
EndpointsRequestBuilder
-